%define oname ppx_compare

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 4
Summary:        Generation of comparison functions from types
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-base-devel >= 0.15.0
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-ppxlib-devel >= 0.15.0

%description
Generation of comparison functions from types

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
# Error: No rule found for test/comparelib_test__Check_optims.o
dune runtest || :

%files
%license LICENSE.md
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml
%{_libdir}/ocaml/%{oname}/*.mli
%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml
%{_libdir}/ocaml/%{oname}/*/*.mli


%changelog
* Sat Dec 10 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920435
- Rebuild for new ppxlib

* Sun Oct 09 2022 pterjan <pterjan> 1:0.15.0-3.mga9
+ Revision: 1895908
- Rebuild for new ocaml-base

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859295
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857242
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.0-4.mga9
+ Revision: 1844556
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.0-3.mga9
+ Revision: 1751109
- Rebuild for ocaml 4.13.1

* Sat Mar 20 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1705153
- Rebuild dor ocaml-ppxlib

* Sat Mar 06 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1699970
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670778
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551808
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545838
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485328
- rebuild for new ocaml-stdio

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483817
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.1-2.mga7
+ Revision: 1324594
- Rebuild for ocaml-migrate-parsetree 1.1.0

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324518
- Update to 0.11.1

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1255603
- rebuild for new ocaml-result 1.3

* Thu Jul 05 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1241924
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193010
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Thu Feb 18 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 965166
- imported package ocaml-ppx_compare

